Assign a conversation to a team
Assign a conversation to a team of your account. Every member of the team can then open it. It replaces the team it was assigned to before, if any.
Endpoint
POST https://api.p.2chat.io/open/conversations/<session-key>/assignment/team
<session-key>is thesession_keyof the conversation, e.g.WA-WAN8fd3442f-e111-4fed-9323-1824fd7546c9-14085550176. See where to get it.
Authentication
Include your API key in the X-User-API-Key header. Learn more about authentication.
Body
| Field | Type | Required | Description |
|---|---|---|---|
team_uuid | string | Yes | UUID of a team of your account. Get it from List Account Teams. |
Invocation
- cURL
- Python
- JavaScript
- PHP
curl --location --request POST 'https://api.p.2chat.io/open/conversations/WA-WAN8fd3442f-e111-4fed-9323-1824fd7546c9-14085550176/assignment/team' \
--header 'X-User-API-Key: your_api_key_here' \
--header 'Content-Type: application/json' \
--data-raw '{
"team_uuid": "VUGa71c3e09-8b52-4f0d-9d1e-5c6b2f8e4a10"
}'
import requests
url = "https://api.p.2chat.io/open/conversations/WA-WAN8fd3442f-e111-4fed-9323-1824fd7546c9-14085550176/assignment/team"
headers = {
"X-User-API-Key": "your_api_key_here"
}
payload = {
"team_uuid": "VUGa71c3e09-8b52-4f0d-9d1e-5c6b2f8e4a10"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
const axios = require('axios');
const response = await axios.post('https://api.p.2chat.io/open/conversations/WA-WAN8fd3442f-e111-4fed-9323-1824fd7546c9-14085550176/assignment/team', {
"team_uuid": "VUGa71c3e09-8b52-4f0d-9d1e-5c6b2f8e4a10"
}, {
headers: {
'X-User-API-Key': 'your_api_key_here'
}
});
console.log(response.data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.p.2chat.io/open/conversations/WA-WAN8fd3442f-e111-4fed-9323-1824fd7546c9-14085550176/assignment/team',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS => '{"team_uuid": "VUGa71c3e09-8b52-4f0d-9d1e-5c6b2f8e4a10"}',
CURLOPT_HTTPHEADER => array(
'X-User-API-Key: your_api_key_here',
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Response
Success (HTTP 200 OK)
{
"success": true,
"data": {
"assigned_user": null,
"assigned_team": {
"uuid": "VUGa71c3e09-8b52-4f0d-9d1e-5c6b2f8e4a10",
"name": "Sales"
}
}
}
| Field | Description |
|---|---|
data.assigned_user | The user the conversation is assigned to, or null. See the assignment object. |
data.assigned_team | The team the conversation is assigned to, or null. |
Error
{
"success": false,
"error": true,
"error_message": "Description of what went wrong"
}
| HTTP status | When |
|---|---|
400 | team_uuid is empty, or it's not a team of your account |
422 | team_uuid is missing from the body |
401 | The API key is missing or invalid |
403 | The user who owns the API key can't open this conversation. See permissions |
404 | There is no conversation with that session_key in your account |